<?php
include("cp_header.php"); 

if(!isset($_GET['id']) ){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';


   /*  اسم الجدول وبداية الكويرى */  
  $table="companies";


//بداية الاستعلام
$query="select * from companies where id=".$_GET['id'];
$fetch;
$result=mysqli_query($conn,$query);


   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
$sort_num=$fetch[0];	
?>



<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}

if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {


if (isset($_FILES['image'])){
//مسار رفع الصورة
$src='../img/companies/';
$sort_num=$_GET['id'];	
////////////

//استدعاء ملف رفع الصور المتعددة
include("upload_image_multi.php");
if ($image_error=='1'){
goto err1;	
}


//فى حالة رفع الصورة
if ($image) {
	

   
}else{
err1:	

unset($_POST['submit']);		
}
   


}

 ////////////////////////////////////////////////////////////////////////////////////




$title=str_replace("'","\'",$_POST['title']);



$modified=date('Y-m-d H:i:s');
$about = database_fix($_POST['about']);
$about_en = database_fix($_POST['about_en']);
$history = database_fix($_POST['history']);
$history_en = database_fix($_POST['history_en']);

$about_it = database_fix($_POST['about_it']);
$history_it = database_fix($_POST['history_it']);



$slogan=$_POST['slogan'];
$manager=$_POST['manager'];
$manager_word=$_POST['manager_word'];
$aya=$_POST['aya'];
$donate=$_POST['donate'];



$word3=$_POST['word3'];

$vision= database_fix($_POST['vision']);

$mission= database_fix($_POST['mission']);

$wedo=database_fix($_POST['wedo']);

$why=database_fix($_POST['why']);

$goal=database_fix($_POST['goal']);

$impession=database_fix($_POST['impession']);

$why=database_fix($_POST['why']);








//بداية الاستعلام
$query= mysqli_prepare(

			$conn,
			"update companies 
			set 
			`wedo`=? , 
			`history`=? ,
			`why`=? ,
			`title`=? ,
			`about`=? ,
			`slogan`=?,
			`aya`=?,
			`donate`=?,
			`vision`=?,
			`mission`=?,
			`manager`=?,
			`manager_word`=?,
			`word3`=? ,
			`goal`=?,
			`impession`=?,
			`modified`=?,
			`user_modified`=? 
			where 
			id=?
			");

		

			
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'sssssssssssssssssi',
			
			 $wedo,$history,$why,$title,$about,$slogan,$aya,$donate,$vision,$mission,$manager,$manager_word,$word3,$goal,$impession,$modified,$_SESSION[$domain."_user"],$_GET['id']

			);

			



			
			//تنفيذ الاستعلام وتخزين حالته
			$execute_status=mysqli_stmt_execute($query);



						 
			//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
			if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }



	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);




//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم التعديل</div>";
$_SESSION['session_enable']='0'; 
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم التعديل</div>";		
}
//header("location: add_gallery.php");
unset($_POST['submit']);


}

error:

?>	
	
	
	
	
<div id="cp_title"> تعديل الجمعية</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id']?>">
<div class="cp_word_body">




<div class="tab_cont">

<div tab="tab1" class="tab_head  tab_active">البيانات الاساسية</div>	
<div tab="tab2" class="tab_head">الرؤية والرسالة</div>	

</div>

<script>
	$(function(){
	$(".tab").hide();
	$(".tab1").show();

	$(".tab_head").click(function(){
	
	$(".tab_head").removeClass("tab_active");
	$(this).addClass("tab_active");
	
	$(".tab").hide();
	$("."+$(this).attr("tab")).show();



	});	
		
		
	});
</script>


<style>
	.tab_cont{
	width:100%;
	overflow: hidden;	
	}
	.tab_head{
	display: inline-block;
	margin:10px;
	background:#0BA1B5;
	float:right;
	padding:10px;
	cursor: pointer;
	color:var(--white);	
	}

	.tab_head.tab_active{
	background:#C83534;	
	}
	
</style>


<div class="tab tab1">

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>اسم الجمعية</div>
<div class="cp_field">
<input alt="1" value="<?php echo  $fetch['title'] ?>"  class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>






<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">الشعار المكتوب</div>
<div class="cp_field">
<input alt="1"  name="slogan" type="text" value="<?php echo  $fetch['slogan'] ?>" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">رابط التبرع للجمعية</div>
<div class="cp_field">
<input alt="1"  name="donate" type="url" value="<?php echo $fetch['donate'] ?>" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">مدير الجمعية</div>
<div class="cp_field">
<input alt="1"  name="manager" type="text" value="<?php echo  $fetch['manager'] ?>" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="text-align:left;float:right;">
<div class="cp_title">كلمة رئيس مجلس الإدارة</div>
<div class="cp_field">
<textarea class="wymeditor"  style="text-align:left;" name="manager_word"><?php echo  $fetch['manager_word'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:370px">
<div class="cp_title">اية قرانية</div>
<div class="cp_field">
<textarea class="wymeditor"  style="text-align:left;" name="aya"><?php echo  $fetch['aya'] ?></textarea>	
<div class="field_val "></div>	
</div>
</div>




<div class="cp_login_row" style="float:right;;height:370px">
<div class="cp_title"><span style="color:red">*</span>عن الجمعية</div>
<div class="cp_field">
<textarea class="wymeditor" name="about"><?php echo  $fetch['about'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>





<div class="cp_login_row" style="float:right;;height:500px">
<div class="cp_title"><span style="color:red">*</span>ماذا نفعل</div>
<div class="cp_field">
<textarea class="wymeditor" lt="1" id="txtDefaultHtmlArea" name="wedo" style="width:700px;"><?php echo  $fetch['wedo'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>




<div class="cp_login_row" style="float:right;;height:500px">
<div class="cp_title"><span style="color:red">*</span>تاريخنا</div>
<div class="cp_field">
<textarea class="wymeditor" lt="1" id="txtDefaultHtmlArea" name="history" style="width:700px;"><?php echo  $fetch['history'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>






<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">ترخيص الجمعية</div>
<div class="cp_field">
<input alt="1"  name="word3" type="text" value="<?php echo  $fetch['word3'] ?> " />
<div class="field_val "></div>	
</div>
</div>






</div>



<div class="tab tab2">
	

<div class="cp_login_row" style="float:right;">
<div class="cp_title">الرؤية</div>
<div class="cp_field">
<textarea  class="wymeditor"  name="vision"><?php echo  $fetch['vision'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>



<div class="cp_login_row" style="float:right;">
<div class="cp_title">الرسالة</div>
<div class="cp_field">
<textarea class="wymeditor"  name="mission"><?php echo  $fetch['mission'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>





<div class="cp_login_row" style="float:right;">
<div class="cp_title">لماذا نحن؟</div>
<div class="cp_field">
<textarea class="wymeditor"  name="why"><?php echo  $fetch['why'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>



<div class="cp_login_row" style="float:right;">
<div class="cp_title">الاهداف</div>
<div class="cp_field">
<textarea class="wymeditor"  name="goal"><?php   echo textarea_fix($fetch['goal']) ?></textarea>	
<div class="field_val"></div>	
</div>
</div>





<div class="cp_login_row" style="float:right;">
<div class="cp_title">الطموحات</div>
<div class="cp_field">
<textarea class="wymeditor"  name="impession"><?php echo  $fetch['impession'] ?></textarea>	
<div class="field_val"></div>	
</div>
</div>



	
	
</div>










<?php }?>





<div class="cp_submit"><input   class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>




</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>




<!--تكست اريا اديتور -->
<link rel="stylesheet" href="small_editor/wymeditor/skins/default/skin.css">
<script src="small_editor/wymeditor/jquery.wymeditor.js"></script>
<script type="text/javascript" src="small_editor/wymeditor/plugins/table/jquery.wymeditor.table.js"></script>

    <script type="text/javascript">
        $(function() {
                $('.wymeditor').wymeditor({
                    postInit: function (wym) {
                        wym.table();
                    }
                });
                $(".wym_area_right").hide();
                $(".wym_area_bottom").hide();
        });
    </script>
    
    
    

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>




<?php 
exit();

endall:
echo "<a class='true' href='edit_companies.php?id=1'> الانتقال لصفحة تعديل بيانات الجمعية </a>";
?>
<script type="text/javascript">
$(function(){
setTimeout(function() {
  window.location.href = "edit_companies.php?id=1";
}, 5000);


});
</script>









